Package io.vertx.rxjava3.jdbcclient

## Class JDBCConnection

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.SqlClient
  - - io.vertx.rxjava3.sqlclient.SqlConnection
    - - io.vertx.rxjava3.jdbcclient.JDBCConnection

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class JDBCConnection
      extends SqlConnection
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCConnection>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDBCConnection​(JDBCConnection delegate)` |
    `JDBCConnection​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `JDBCConnection` | `getDelegate()` |
    `Single<Integer>` | `getTransactionIsolation()` |
    `int` | `hashCode()` |
    `static JDBCConnection` | `newInstance​(JDBCConnection arg)` |
    `Single<Integer>` | `rxGetTransactionIsolation()` |
    `Completable` | `rxSetTransactionIsolation​(int isolationLevel)` |
    `JDBCConnection` | `setQueryTimeout​(int timeoutInSeconds)` | Sets a connection wide query timeout.
    `Completable` | `setTransactionIsolation​(int isolationLevel)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlConnection

      `begin, closeHandler, databaseMetadata, exceptionHandler, isSSL, newInstance, prepare, prepare, rxBegin, rxPrepare, rxPrepare, transaction`

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlClient

      `close, newInstance, preparedQuery, preparedQuery, query, rxClose`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### JDBCConnection

          public JDBCConnection​(JDBCConnection delegate)

    - #### JDBCConnection

          public JDBCConnection​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlConnection`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `SqlConnection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlConnection`

    - #### getDelegate

          public JDBCConnection getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `SqlConnection`

    - #### getTransactionIsolation

          public Single<Integer> getTransactionIsolation()

    - #### rxGetTransactionIsolation

          public Single<Integer> rxGetTransactionIsolation()

    - #### setTransactionIsolation

          public Completable setTransactionIsolation​(int isolationLevel)

    - #### rxSetTransactionIsolation

          public Completable rxSetTransactionIsolation​(int isolationLevel)

    - #### setQueryTimeout

          public JDBCConnection setQueryTimeout​(int timeoutInSeconds)

      Sets a connection wide query timeout. It can be over-written at any time and becomes active on the next query call.
      Parameters:
        `timeoutInSeconds` - the max amount of seconds the query can take to execute.
      Returns:

    - #### newInstance

          public static JDBCConnection newInstance​(JDBCConnection arg)